Bananian Linux

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000103Bananian Linux[All Projects] Kernelpublic2015-01-24 21:332015-04-08 06:43
Reportersooperior 
Assigned ToNico 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version15.01 
Target Version15.04Fixed in Version15.04 
Summary0000103: Missing headers for 3.4.x kernel
DescriptionWhen trying to compile kernel modules, I have noticed that available linux headers are not matching kernel version number, therefore not being possible to safely compile
Steps To Reproduceuname -r
apt-cache search linux-headers
TagsNo tags attached.
Attached Filesjpg file icon missing headers.jpg [^] (44,529 bytes) 2015-01-24 21:33

- Relationships
related to 0000114resolvedNico add the Bananian repository to sources.list 
related to 0000012resolvedNico Kernel Update Script and other stuff as an apt repository 

-  Notes
(0000154)
sooperior (reporter)
2015-01-28 08:44

Sorry, I meant 3.4 not 3.14 version
(0000173)
Nico (manager)
2015-03-09 19:21

Starting with Bananian 15.04 we have our own repository including linux-headers-XXX packages.
(0000185)
Nico (manager)
2015-03-12 08:00

For testing please add this line to your sources.list:
deb http://dl.bananian.org/packages/ [^] testing main


Install the headers:
aptitude update && aptitude install linux-headers-3.4.104+
(0000194)
Nico (manager)
2015-04-04 14:00

Users reported some problems with the headers provided. We will check.
Additionally we need a Bananian kernel versioning schema.
(0000205)
Nico (manager)
2015-04-08 06:42

New packages are in testing:
testing|main|armhf: linux-firmware-image 15.04.01
testing|main|armhf: linux-headers-3.4.104-bananian 15.04.01
testing|main|armhf: linux-image-3.4.104-bananian 15.04.01

- Issue History
Date Modified Username Field Change
2015-01-24 21:33 sooperior New Issue
2015-01-24 21:33 sooperior File Added: missing headers.jpg
2015-01-28 08:44 sooperior Note Added: 0000154
2015-02-01 08:53 Nico Summary Missing headers for 3.14 kernel => Missing headers for 3.4.x kernel
2015-02-01 08:54 Nico Target Version => 15.04
2015-02-01 08:54 Nico Assigned To => Nico
2015-02-01 08:54 Nico Status new => assigned
2015-03-09 18:50 Nico Relationship added related to 0000114
2015-03-09 19:21 Nico Note Added: 0000173
2015-03-12 08:00 Nico Note Added: 0000185
2015-03-12 08:00 Nico Status assigned => resolved
2015-03-12 08:00 Nico Fixed in Version => 15.04
2015-03-12 08:00 Nico Resolution open => fixed
2015-04-04 14:00 Nico Note Added: 0000194
2015-04-04 14:00 Nico Status resolved => feedback
2015-04-04 14:00 Nico Resolution fixed => reopened
2015-04-08 06:42 Nico Note Added: 0000205
2015-04-08 06:42 Nico Status feedback => resolved
2015-04-08 06:42 Nico Resolution reopened => fixed
2015-04-08 06:43 Nico Relationship added related to 0000012


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker